Bug 285455 - Marble: Empty instruction list for route services which don't support instructions
Summary: Marble: Empty instruction list for route services which don't support instruc...
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: 1.3 (KDE 4.8)
Assignee: marble-bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-01 11:49 UTC by Torsten Rahn
Modified: 2012-01-21 14:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Rahn 2011-11-01 11:49:25 UTC
Version:           unspecified (using KDE 4.7.3) 
OS:                Linux

If I use Yours as a routing service when pressing "Get directions" I get an empty listview showing an info icon. I get no instructions (but the route gets displayed fine on the map). 
This looks a bit br0ken. Maybe we should have a string in there which tells the user
"There are no turn-by-turn instructions available from this route service. Please use the map instead."


Reproducible: Always

Steps to Reproduce:
1. Create a route with source and destination. 
2. Then click "Get Directions".
3. If the Yours results are not displayed by default change to Your by using the combobox at the bottom left.

Actual Results:  
empty listview with a nice icon.

Expected Results:  
an explanation why the listview is empty.
Comment 1 Dennis Nienhüser 2012-01-21 14:38:18 UTC
Git commit 1ca79c65848b1a4dc9eecfe632d45a2e038e4c33 by Dennis Nienhüser.
Committed on 21/01/2012 at 15:36.
Pushed by nienhueser into branch 'master'.

Ignore invalid turn points.

Most notably this happened when a route consists only of one large,
unnamed segment (Yours).

M  +3    -1    src/lib/routing/Route.cpp

http://commits.kde.org/marble/1ca79c65848b1a4dc9eecfe632d45a2e038e4c33
Comment 2 Dennis Nienhüser 2012-01-21 14:44:24 UTC
Git commit b3103143331c201d34d08e929189233c0decfb16 by Dennis Nienhüser.
Committed on 21/01/2012 at 15:36.
Pushed by nienhueser into branch 'KDE/4.8'.

Ignore invalid turn points.

Most notably this happened when a route consists only of one large,
unnamed segment (Yours).
(cherry picked from commit 1ca79c65848b1a4dc9eecfe632d45a2e038e4c33)
Also add logic fix (&&=>||) not in original commit.

M  +3    -1    src/lib/routing/Route.cpp

http://commits.kde.org/marble/b3103143331c201d34d08e929189233c0decfb16